/**************************************************************************//**
 * @file        system_A3117M0.h
 * @version     V1.00.00
 * $Revision:   0 $
 * $Date:       2018-08-09 $
 * @brief       The header file for system_A3117M.h
 *
 * @note
 *
 * Copyright (C) 2018 AMICCOM Electronics Corp. All rights reserved.
 *****************************************************************************/

#ifndef _SYSTEM_A3117M0_H_
#define _SYSTEM_A3117M0_H_

#include "A3117M0.h"

extern uint32_t SystemFrequency;        /*!< System Clock Frequency (Core Clock)  */
extern uint32_t SystemCoreClock;        /*!< Processor Clock Frequency            */

/**
 * Initialize the system
 *
 * @param  none
 * @return none
 *
 * @brief  Setup the microcontroller system.
 *         Initialize the System and update the SystemCoreClock variable.
 */
extern void SystemInit (void);

/**
 * Update SystemCoreClock variable
 *
 * @param  none
 * @return none
 *
 * @brief  Updates the SystemCoreClock with current core Clock
 *         retrieved from cpu registers.
 */
extern void SystemCoreClockUpdate (void);

#endif /* _SYSTEM_A3117M_H_ */
