 /**************************************************************************//**
 * @file        Systick_Delay.c
 * @version     V1.00.00
 * $Revision:   0 $
 * $Date:       2018-04-17 $
 * @brief       Delay by Systick
 *
 * @note
 *
 * Copyright (C) 2018 AMICCOM Electronics Corp. All rights reserved.
 *****************************************************************************/
 
#include "system_A3117M0.h"

/**
 *
 * @brief   Delay n*1ms 
 *
 * @param   n               Delay n * 1ms
 * @return  none 
 */
void Delay1ms(uint32_t n)
{
    SysTick->LOAD = (SystemFrequency / 1000) - 1;
    SysTick->VAL = 0;
    SysTick->CTRL = SysTick_CTRL_CLKSOURCE_Msk | SysTick_CTRL_ENABLE_Msk;
    while(n --)
    {
        while( 0 == (SysTick->CTRL & SysTick_CTRL_COUNTFLAG_Msk) ) {};
    }
    SysTick->CTRL = 0;
}

/**
 *
 * @brief   Delay n*10us 
 *
 * @param   n               Delay n * 10us
 * @return  none 
 */
void Delay10us ( uint32_t n )
{
    SysTick->LOAD = ( ( SystemFrequency / ( 1000 * 100 ) ) * n ) - 1;
    SysTick->VAL = 0;
    SysTick->CTRL = SysTick_CTRL_CLKSOURCE_Msk | SysTick_CTRL_ENABLE_Msk;
    while( 0 == (SysTick->CTRL & SysTick_CTRL_COUNTFLAG_Msk) ) {};
    SysTick->CTRL = 0;
}
