/**************************************************************************//**
 * @file        MPULCD.h
 * @version     V1.00.01
 * $Revision:   0 $
 * $Date:       2017-05-11  $
 * @brief       MPULCD Driver Header File
 *
 * @note        V1.00.01 - creat.
 *
 * Copyright (C) 2017 AMICCOM Electronics Corp. All rights reserved.
 ******************************************************************************/

#ifndef __MPULCD_H__
#define __MPULCD_H__

#define DMA_ADDRESS     0x20004000
#define DMA_OFFSET      0x0000


/** @addtogroup A8107M_Driver Standard Driver
    @{
*/
/** @addtogroup MPULCD_Driver MPULCD Driver
    @{
*/

/**
 * @brief   Write data through MPULCD interface.
 */
extern void MPULCD_Write(uint16_t data, uint8_t a0);

/**
 * @brief   Read data through MPULCD interface.
 */
extern uint16_t MPULCD_Read(uint8_t a0);

/**
 *
 * @brief   Enable DMA and wait DMA finish
 *
 */
extern void MPULCD_EnableDMA(uint32_t offset);


/*@}*/ /* end of group MPULCD_Driver */
/*@}*/ /* end of group A8107M_Driver */

#endif
