/*--------------------------------------------------------------------------*/
/*  system_A8137M0.C                                                        */
/****************************************************************************/
/*  Change Log:                                                             */
/*  Version: 0.0                                                            */
/*  Date   : 2018-01-05                                                     */
/*  Issue  : Creat A8137M0-U01                                              */
/*  Author : Achou                                                          */
/****************************************************************************/
/* Header file for A8137M0 RF SoC microcontroller.                          */
/* Copyright (c) 2018 AMICCOM Electronics Corp.                             */
/* All rights reserved.                                                     */
/*--------------------------------------------------------------------------*/


#include <stdint.h>
#include "register_A8137M0.h"

/*----------------------------------------------------------------------------
  DEFINES
 *----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
  Define clocks
 *----------------------------------------------------------------------------*/

#define XTAL    (16000000UL)            /* Oscillator frequency               */


/*----------------------------------------------------------------------------
  Clock Variable definitions
 *----------------------------------------------------------------------------*/
uint32_t SystemFrequency = XTAL;    /*!< System Clock Frequency (Core Clock)  */
uint32_t SystemCoreClock = XTAL;    /*!< Processor Clock Frequency            */


/*----------------------------------------------------------------------------
  Clock functions
 *----------------------------------------------------------------------------*/
void SystemCoreClockUpdate (void)            /* Get Core Clock Frequency      */
{
  SystemCoreClock = XTAL;
}

/**
 * Initialize the system
 *
 * @param  none
 * @return none
 *
 * @brief  Setup the microcontroller system.
 *         Initialize the System.
 */
void SystemInit (void)
{
  SystemCoreClock = XTAL;
}
